function desloga() {
	document.location.href = 'index.jsp';
}

function atividadesRealizadas() {

	var ajax = openAjax();

	ajax.open("GET", "geradorRelatorio?parametro=" + "atividadesRealizadas", true);
	ajax.onreadystatechange = function() {
		if (ajax.status == 200) {
			pegaRelatorio(ajax);

		}

	}


	ajax.send(null); // submete

	
	
}

function pegaRelatorio(){
var jasonData = ajax.responseText;
}

function openAjax() {

	var ajax;

	try {
		ajax = new XMLHttpRequest(); // XMLHttpRequest para Firefox, Safari,
										// dentre outros.
	} catch (ee) {
		try {
			ajax = new ActiveXObject("Msxml2.XMLHTTP"); // Para o Internet
														// Explorer
		} catch (e) {
			try {
				ajax = new ActiveXObject("Microsoft.XMLHTTP"); // Para o
																// Internet
																// Explorer
			} catch (E) {
				ajax = false;
			}
		}
	}
	return ajax;
}

function atualizaPonteiro() {
	var ativo = document.getElementById('ativo');
	if (ativo.value == 'cadAluno') {
		var teste = document.getElementById('current');
		teste.setAttribute('id', 'cadAluno');
	} else if (ativo.value == 'cadProfessor') {
		var teste2 = document.getElementById('current');
		teste2.setAttribute('id', 'cadProfessor');
	}
	var teste3 = document.getElementById('pagInic');
	teste3.setAttribute('id', 'current');
	ativo.value = 'pagInic';

	if (document.getElementById('cadastroProfessor').style.display == 'block') {
		document.getElementById('main').style.display = 'block';
		document.getElementById('cadastroProfessor').style.display = 'none';

	} else {
		document.getElementById('main').style.display = 'block';
	}

}

function exibeAtualizacaoCadastroProfessor() {

	var ativo = document.getElementById('ativo');
	if (ativo.value == 'pagInic') {
		var teste = document.getElementById('current');
		teste.setAttribute('id', 'pagInic');
	} else if (ativo.value == 'cadAluno') {
		var teste2 = document.getElementById('current');
		teste2.setAttribute('id', 'cadAluno');
	}
	var teste3 = document.getElementById('cadProfessor');
	teste3.setAttribute("id", 'current');
	ativo.value = 'cadProfessor';

	if (document.getElementById('main').style.display == 'block'
			|| document.getElementById('cadastroAtividade').style.display == 'block') {
		document.getElementById('main').style.display = 'none';
		document.getElementById('cadastroAtividade').style.display = 'none';
		document.getElementById('cadastroProfessor').style.display = 'block';
	} else {

		document.getElementById('cadastroProfessor').style.display = 'block';
	}
}

function buscarAluno() {
	var nome = document.getElementById("campoNomeAluno").value;
	var identidade = document.getElementById("campoIdentidadeAluno").value;
	var turma = document.getElementById("campoTurmaAluno").value;

	var ajax = openAjax();

	ajax.open("GET", "buscarAluno?campoNomeAluno=" + nome
			+ "&campoIdentidadeAluno=" + identidade + "&campoTurmaAluno="
			+ turma, true);
	ajax.onreadystatechange = function() {
		if (ajax.status == 200) {
			populateJSONAlunos(ajax);

		}

	}

	document.getElementById("campoNomeAluno").value = "";
	document.getElementById("campoIdentidadeAluno").value = "";
	document.getElementById("campoTurmaAluno").value = "";

	ajax.send(null); // submete

}

function populateJSONAlunos(j) {

	var jasonData = j.responseText;
	var myJSONObject = eval('(' + jasonData + ')');
	var alunos = new Array();
	alunos = myJSONObject.ALU;

	removeRowsFromTable('tableAluno')
	for ( var int = 0; int < alunos.length; int++) {
		adicionaAlunoNaBusca(alunos[int].nome, alunos[int].turma,
				alunos[int].identidade);
	}

}

function removeRowsFromTable(nomeTabela) {
	var tbl = document.getElementById(nomeTabela);
	var lastRow = tbl.rows.length;
	while (lastRow > 1) {
		tbl.deleteRow(lastRow - 1)
		lastRow = lastRow - 1;
	}
}

function removeLinha(nomeTabela, linha) {
	var tbl = document.getElementById(nomeTabela);
	tbl.deleteRow(linha);
}

function adicionaAlunoNaBusca(nome, turma, identidade) {
	var tbl = document.getElementById('tableAluno');
	var lastRow = tbl.rows.length;
	var iteration = lastRow;
	var row = tbl.insertRow(lastRow);

	// left cell
	var cellLeft = row.insertCell(0);
	cellLeft.style.backgroundColor = '#edf8c7';
	var elementoE = document.createElement('input');
	elementoE.style.backgroundColor = '#edf8c7';
	elementoE.setAttribute("disabled", "disabled");
	elementoE.setAttribute("style", "border-width:thick");
	elementoE.setAttribute('value', nome);
	elementoE.setAttribute("size", "10");
	cellLeft.appendChild(elementoE);

	// right cell
	var cellRight = row.insertCell(1);
	cellRight.style.backgroundColor = '#edf8c7';
	var el = document.createElement("input");
	el.setAttribute("type", "text");
	el.style.backgroundColor = '#edf8c7';
	el.setAttribute("value", turma);
	el.setAttribute("disabled", "disabled");
	el.setAttribute("style", "border-width:thick");
	el.setAttribute("size", "10");
	cellRight.appendChild(el);

	// select cell
	var cellRightSel = row.insertCell(2);
	cellRightSel.style.backgroundColor = '#edf8c7';
	var sel = document.createElement("input");
	sel.setAttribute("type", "text");
	sel.style.backgroundColor = '#edf8c7';
	sel.setAttribute("value", identidade);
	sel.setAttribute("disabled", "disabled");
	sel.setAttribute("style", "border-width:thick");
	sel.setAttribute("size", "10");
	cellRightSel.appendChild(sel);

	var ultimacell = row.insertCell(3);
	ultimacell.style.backgroundColor = '#edf8c7';
	var op1 = document.createElement('img');
	op1.setAttribute('src', 'images/lupa.gif');
	op1.style.backgroundColor = '#edf8c7';
	op1.setAttribute('width', '10');
	op1.setAttribute('height', '10');
	op1.onclick = function() {
		exibirOpcoesAluno(nome,identidade);
	};
	ultimacell.appendChild(op1);

}
function exibirOpcoesAluno(nome, identidade){
	document.getElementById("nomeAluno").value = nome;
	document.getElementById("identidadeAluno").value = identidade;
	document.getElementById("opcoesAluno").style.display = 'block';
	document.getElementById("buscarAluno").style.display = 'none';
	
}

function verificacamposAtividade() {

	var nomeAtividade = document.getElementById("campoAtividadeNome").value;
	var assunto = document.getElementById("selecaoTopico").option;

	if (nomeAtividade == "" || assunto == "") {
		alert('É necessário o preenchimento de todos os campos');
		// return false;
	} else {

		salvarAtividade();

	}

}

function salvarAtividade() {

	var quantidadeEnunciados = document.getElementById("quantidadeEnunciados").value;

	var quantidadePerguntas = document.getElementById("quantidadePerguntas").value;

	var quantidadeRespostas = document.getElementById("quantidadeRespostas").value;

	var quantidadeRecursos = document.getElementById("quantidadeRecursos").value;

	var quantidadeComentarios = document.getElementById("quantidadeComentarios").value;
	
	var url = "cadastroAtividade?";

	var variavel = "";
	
	for (i = 1; i < quantidadeEnunciados; i++) {

		variavel = "enunciado" + i;

		if (i == 1) {
			url = url + "enunciado" + i + "=" +document.getElementById(variavel).value;

		} else {
		
			variavel = "enunciado" + i;

			url = url + "&enunciado" + i + "="
					+ document.getElementById(variavel).value;

		}
	}
	
	for (int2 = 1; int2 < quantidadePerguntas; int2++) {

		variavel = "pergunta" + int2;

		url = url + "&pergunta" + int2 + "="
				+ document.getElementById(variavel).value;
		
		variavel = "respostaPergunta" + int2;

		url = url + "&respostaPergunta" + int2 + "="
				+ document.getElementById(variavel).value;
	}
	
	for (int4 = 1; int4 < quantidadeComentarios; int4++) {
		variavel = "perguntaopiniao" + int4;

		url = url + "&perguntaopiniao" + int4 + "="
				+ document.getElementById(variavel).value;
	}
	
	for (int5 = 1; int5 < quantidadeRecursos; int5++) {
		variavel = "recurso" + int5;

		url = url + "&recurso" + int5 + "="
				+document.getElementById(variavel).value;
	}
	
	url = url + "&quantidadeEnunciados=" + quantidadeEnunciados
			+ "&quantidadePerguntas=" + quantidadePerguntas
			+ "&quantidadeRecursos=" + quantidadeRecursos
			+ "&quantidadeComentarios=" + quantidadeComentarios;

	
	var operacao = document.getElementById("operacao").value = "cadastroAtividade";
	var nomeAtividade = document.getElementById("campoAtividadeNome").value;
	var assunto = document.getElementById("selecaoTopico").value;
	var nivel = document.getElementById("nivel").value;
	var assuntoMat = document.getElementById("assunto").value;

	url = url + "&operacao=" + operacao + "&nomeAtividade=" + nomeAtividade
			+ "&assuntoRelacionado=" + assunto + "&assunto="+assuntoMat + "&nivel="+nivel;
	
	var ajax = openAjax();
	ajax.open("GET", url, true);
	 var exibeResultado = document.getElementById('exibeResultadoAtividade');
	ajax.onreadystatechange = function() {
		if (ajax.readyState == 1) // Quando estiver carregando, exibe:
		{
			exibeResultado.innerHTML = "Inserindo";
		}
		if (ajax.readyState == 4) // Quando estiver tudo pronto.
		{
			if (ajax.status == 200) {
				var resultado = ajax.responseText;

				// exibeResultado.innerHTML = resultado;
				
				exibeResultado.innerHTML = "Atividade cadastrada como sucesso!";
			} else {
				exibeResultado.innerHTML = "Erro na cadastramento";
			}
		}
	}

	ajax.send(null);

	removeRowsFromTable('tabelaCriacaoAtividade');

	nomeAtividade = document.getElementById("campoAtividadeNome").value = "";
	assunto = document.getElementById("selecaoTopico").value = "";

}

function buscarAt() {
	var tema = document.getElementById("tituloBusca").value;
	var assunto = document.getElementById("selecaoTema").value;

	var ajax = openAjax();

	ajax.open("GET", "teste?tituloBusca=" + tema + "&selecaoTema=" + assunto,
			true);

	ajax.onreadystatechange = function() {
		if (ajax.status == 200) {

			populateJSON(ajax);
		}

	}
	ajax.send(null); // submete

}

function populateJSON(j) {

	var jasonData = j.responseText;
	var myJSONObject = eval('(' + jasonData + ')');
	var ats = new Array();
	ats = myJSONObject.ATIV;

	removeRowsFromTable('table');
	for ( var int = 0; int < ats.length; int++) {
		addRowToTable(ats[int].nomeAtividade, ats[int].assuntoRelacionado,
				ats[int].tipo);
	}

}

function exibeCadastroProfessor() {

	var ativo = document.getElementById('ativo');
	if (ativo.value == 'pagInic') {
		var teste = document.getElementById('current');
		teste.setAttribute('id', 'pagInic');
	} else if (ativo.value == 'cadAluno') {
		var teste2 = document.getElementById('current');
		teste2.setAttribute('id', 'cadAluno');
	}
	var teste3 = document.getElementById('cadProfessor');
	teste3.setAttribute("id", 'current');
	ativo.value = 'cadProfessor';

	if (document.getElementById('main').style.display == 'block') {
		document.getElementById('main').style.display = 'none';
		document.getElementById('cadastroProfessor').style.display = 'block';
	} else {
		document.getElementById('cadastro').style.display = 'none';
		document.getElementById('cadastroProfessor').style.display = 'block';
	}
}

function exibeCadastroAtividade() {

	var quantidadeEnunciados = document.getElementById("quantidadeEnunciados");
	quantidadeEnunciados.setAttribute("value", 1);
	var quantidadePerguntas = document.getElementById("quantidadePerguntas");
	quantidadePerguntas.setAttribute("value", 1);
	var quantidadeRespostas = document.getElementById("quantidadeRespostas");
	quantidadeRespostas.setAttribute("value", 1);
	var quantidadeRecursos = document.getElementById("quantidadeRecursos");
	quantidadeRecursos.setAttribute("value", 1);
	var quantidadeComentarios = document
			.getElementById("quantidadeComentarios");
	quantidadeComentarios.setAttribute("value", 1);

	if (document.getElementById('main').style.display == 'block'
			|| document.getElementById('cadastroProfessor').style.display == 'block'
			|| document.getElementById('buscarAluno').style.display == 'block'
			|| document.getElementById('buscaAtividades').style.display == 'block') {
		document.getElementById('main').style.display = 'none';
		document.getElementById('cadastroProfessor').style.display = 'none';
		document.getElementById('buscarAluno').style.display = 'none';
		document.getElementById('buscaAtividades').style.display = 'none';
		document.getElementById('cadastroAtividade').style.display = 'block';
	} else {
		document.getElementById('cadastroProfessor').style.display = 'none';
		document.getElementById('cadastroAtividade').style.display = 'block';
	}
}

function exibeBuscaResultado() {
	if (document.getElementById('main').style.display == 'block'
			|| document.getElementById('cadastro').style.display == 'block') {
		document.getElementById('main').style.display = 'none';
		document.getElementById('cadastro').style.display = 'none';
		document.getElementById('buscaAtividades').style.display = 'none';
		document.getElementById('buscaResultado').style.display = 'block';
	} else {
		document.getElementById('buscaAtividades').style.display = 'none';
		document.getElementById('buscaResultado').style.display = 'block';
	}
}

function exibeBuscaAluno() {

	removeRowsFromTable('tableAluno')
	if (document.getElementById('main').style.display == 'block'
			|| document.getElementById('cadastroAtividade').style.display == 'block'
			|| document.getElementById('buscaAtividades').style.display == 'block') {
		document.getElementById('main').style.display = 'none';
		document.getElementById('cadastroAtividade').style.display = 'none';
		document.getElementById('buscaAtividades').style.display = 'none';
		document.getElementById('buscarAluno').style.display = 'block'

	} else {

		document.getElementById('buscarAluno').style.display = 'block';

	}

}

function exibeBuscaAtividades_Professor() {

	removeRowsFromTable('table')
	if (document.getElementById('main').style.display == 'block'
			|| document.getElementById('cadastroProfessor').style.display == 'block'
			|| document.getElementById('buscarAluno').style.display == 'block'
			|| document.getElementById('cadastroAtividade').style.display == 'block') {
		document.getElementById('main').style.display = 'none';
		document.getElementById('cadastroProfessor').style.display = 'none';
		document.getElementById('cadastroAtividade').style.display = 'none';
		document.getElementById('buscarAluno').style.display = 'none';
		document.getElementById('buscaAtividades').style.display = 'block';

	} else {
		document.getElementById('buscaAtividades').style.display = 'block';

	}

}

function adicionaCampoEnunciado() {
	
	var tbl = document.getElementById('tabelaCriacaoAtividade');
	var lastRow = tbl.rows.length;
	var iteration = lastRow;
	var quantidadeEnunciados = document.getElementById("quantidadeEnunciados");
	var row = tbl.insertRow(lastRow);
	

	// left cell
	
	var cellLeft = row.insertCell(0);
	cellLeft.style.backgroundColor = '#edf8c7';
	var elementoE = document.createElement('input');
	elementoE.setAttribute("size", "9");
	elementoE.style.backgroundColor = '#edf8c7';
	elementoE.style.border = '0';
	elementoE.setAttribute("disabled", "disabled");
	elementoE.setAttribute("value", "Enunciado:");
	elementoE.setAttribute("style", "border-width:thick");
	cellLeft.appendChild(elementoE);
		
	
	//
	var elementoC = document.createElement('textarea');
	elementoC.width = "20";
	elementoC.setAttribute("id", "enunciado" + quantidadeEnunciados.value);
	elementoC.setAttribute("style", "border-width:thick");
	cellLeft.appendChild(elementoC);
	document.getElementById("quantidadeEnunciados").value++;
	
	
	var cellRight = row.insertCell(1);
	cellRight.style.backgroundColor = '#edf8c7';
	var el = document.createElement('img');
	el.style.backgroundColor = '#edf8c7';
	el.setAttribute("src", "images/retirar.GIF");
	el.setAttribute("style", "border-width:thick");
	el.setAttribute("width", "10");
	el.setAttribute("height", "10");
	el.setAttribute("name", "Remover Linha");
	el.onclick = function() {
		removerLinha(this);
	};
	cellRight.appendChild(el);
}

function adicionaCampoRecurso() {
	var tbl = document.getElementById('tabelaCriacaoAtividade');
	var lastRow = tbl.rows.length;
	var iteration = lastRow;
	var quantidadeRecursos = document.getElementById("quantidadeRecursos");
	var row = tbl.insertRow(lastRow);
	

	
	var cellLeft = row.insertCell(0);
	cellLeft.style.backgroundColor = '#edf8c7';
	var elementoE = document.createElement('input');
	elementoE.setAttribute("size", "10");
	elementoE.style.backgroundColor = '#edf8c7';
	elementoE.setAttribute("disabled", "disabled");
	elementoE.setAttribute("value", "Recurso:");
	elementoE.setAttribute("style", "border-width:thick");
	cellLeft.appendChild(elementoE);
	
	var elementoC = document.createElement('input');
	elementoC.setAttribute("type", "file");
	elementoC.setAttribute("id", "recurso" + quantidadeRecursos.value);
	elementoC.setAttribute("size", "20");
	cellLeft.appendChild(elementoC);
	document.getElementById("quantidadeRecursos").value++;
	
	var cellRight = row.insertCell(1);
	cellRight.style.backgroundColor = '#edf8c7';
	var el = document.createElement('img');
	el.style.backgroundColor = '#edf8c7';
	el.setAttribute("src", "images/retirar.GIF");
	el.setAttribute("style", "border-width:thick");
	el.setAttribute("width", "10");
	el.setAttribute("height", "10");
	el.setAttribute("name", "Remover Linha");
	el.onclick = function() {
		removerLinha(this);
	};
	cellRight.appendChild(el);
	
	

}

function adicionaCampoPergunta() {
	var tbl = document.getElementById('tabelaCriacaoAtividade');
	var lastRow = tbl.rows.length;
	var iteration = lastRow;
	var quantidadePerguntas = document.getElementById("quantidadePerguntas");
	var row = tbl.insertRow(lastRow);
	

	var cellLeft = row.insertCell(0);
	cellLeft.style.backgroundColor = '#edf8c7';
	var elementoE = document.createElement('input');
	elementoE.setAttribute("size", "10");
	elementoE.style.backgroundColor = '#edf8c7';
	elementoE.setAttribute("disabled", "disabled");
	elementoE.setAttribute("value", "Pergunta:");
	elementoE.setAttribute("style", "border-width:thick");
	cellLeft.appendChild(elementoE);
	// left cell
	
	var elementoC = document.createElement('input');
	elementoC.setAttribute("type", "text");
	elementoC.setAttribute("id", "pergunta" + quantidadePerguntas.value);
	elementoC.setAttribute("style", "border-width:thick");
	elementoC.setAttribute("size", "40");
	cellLeft.appendChild(elementoC);
	document.getElementById("quantidadePerguntas").value++;
	
	var cellRight = row.insertCell(1);
	cellRight.style.backgroundColor = '#edf8c7';
	var el = document.createElement('img');
	el.style.backgroundColor = '#edf8c7';
	el.setAttribute("src", "images/retirar.GIF");
	el.setAttribute("style", "border-width:thick");
	el.setAttribute("width", "10");
	el.setAttribute("height", "10");
	el.setAttribute("name", "Remover Linha");
	el.onclick = function() {
		removerLinha(this);
	};
	cellRight.appendChild(el);
	
	

	
	adicionaCampoResposta();

}

function adicionaCampoResposta() {
	var tbl = document.getElementById('tabelaCriacaoAtividade');
	var lastRow = tbl.rows.length;
	var iteration = lastRow;
	var quantidadeRespostas = document.getElementById("quantidadeRespostas");
	var row = tbl.insertRow(lastRow);
	
	
	var cellLeft = row.insertCell(0);
	cellLeft.style.backgroundColor = '#edf8c7';
	var elementoE = document.createElement('input');
	elementoE.setAttribute("size", "10");
	elementoE.style.backgroundColor = '#edf8c7';
	elementoE.setAttribute("disabled", "disabled");
	elementoE.setAttribute("value", "Resposta:");
	elementoE.setAttribute("style", "border-width:thick");
	cellLeft.appendChild(elementoE);
	
	var elementoC = document.createElement('input');
	elementoC.setAttribute("type", "text");
	elementoC.setAttribute("id", "respostaPergunta" + quantidadeRespostas.value);
	elementoC.setAttribute("style", "border-width:thick");
	elementoC.setAttribute("size", "20");
	cellLeft.appendChild(elementoC);
	document.getElementById("quantidadeRespostas").value++;

	// left cell
	var cellRight = row.insertCell(1);
	cellRight.style.backgroundColor = '#edf8c7';
	var el = document.createElement('img');
	el.style.backgroundColor = '#edf8c7';
	el.setAttribute("src", "images/retirar.GIF");
	el.setAttribute("style", "border-width:thick");
	el.setAttribute("width", "10");
	el.setAttribute("height", "10");
	el.setAttribute("name", "Remover Linha");
	el.onclick = function() {
		removerLinha(this);
	};
	cellRight.appendChild(el);
	
}

function removerLinha(obj) {
	var objTR = obj.parentNode.parentNode;
	var objTable = objTR.parentNode;
	var indexTR = objTR.rowIndex;
	objTable.deleteRow(indexTR);

}

function adicionaCampoComentario() {
	var tbl = document.getElementById('tabelaCriacaoAtividade');
	var lastRow = tbl.rows.length;
	var iteration = lastRow;
	var quantidadeComentarios = document
			.getElementById("quantidadeComentarios");
	var row = tbl.insertRow(lastRow);
	

	
	var cellLeft = row.insertCell(0);
	cellLeft.style.backgroundColor = '#edf8c7';
	var elementoE = document.createElement('input');
	elementoE.setAttribute("size", "10");
	elementoE.style.backgroundColor = '#edf8c7';
	elementoE.setAttribute("disabled", "disabled");
	elementoE.setAttribute("value", "Comentario:");
	elementoE.setAttribute("style", "border-width:thick");
	cellLeft.appendChild(elementoE);
	
	var elementoC = document.createElement('input');
	elementoC.setAttribute("type", "text");
	elementoC.setAttribute("id", "perguntaopiniao" + quantidadeComentarios.value);
	elementoC.setAttribute("style", "border-width:thick");
	cellLeft.appendChild(elementoC);
	document.getElementById("quantidadeComentarios").value++;
	
	var cellRight = row.insertCell(1);
	cellRight.style.backgroundColor = '#edf8c7';
	var el = document.createElement('img');
	el.style.backgroundColor = '#edf8c7';
	el.setAttribute("src", "images/retirar.GIF");
	el.setAttribute("style", "border-width:thick");
	el.setAttribute("width", "10");
	el.setAttribute("height", "10");
	el.setAttribute("name", "Remover Linha");
	el.onclick = function() {
		removerLinha(this);
	};
	cellRight.appendChild(el);

	
}

function addRowToTable(nome, assunto, tipo) {
	var tbl = document.getElementById('table');
	var lastRow = tbl.rows.length;
	// if there's no header row in the table, then iteration = lastRow + 1
	var iteration = lastRow;
	var row = tbl.insertRow(lastRow);

	// left cell
	var cellLeft = row.insertCell(0);
	cellLeft.style.backgroundColor = '#edf8c7';
	var elementoE = document.createElement('input');
	elementoE.style.backgroundColor = '#edf8c7';
	elementoE.setAttribute("disabled", "disabled");
	elementoE.setAttribute("type", "text");
	elementoE.setAttribute("value", nome);
	elementoE.setAttribute("size", '18');
	cellLeft.appendChild(elementoE);

	// right cell
	var cellRight = row.insertCell(1);
	cellRight.style.backgroundColor = '#edf8c7';
	var el = document.createElement('input');
	el.style.backgroundColor = '#edf8c7';
	el.setAttribute("disabled", "disabled");
	el.setAttribute("type", "text");
	el.setAttribute("value", assunto);
	el.setAttribute("size", "10");
	cellRight.appendChild(el);

	var ultimacell = row.insertCell(2);
	ultimacell.style.backgroundColor = '#edf8c7';
	var op1 = document.createElement('img');
	op1.style.backgroundColor = '#edf8c7';
	if (document.getElementById("usuario").value == "aluno") {
		op1.setAttribute('src', 'images/add.GIF');
		op1.onclick = function() {
			novalinhaAtividadesAluno(elementoE.getAttribute("value"));
			atualizaListaAluno(elementoE.getAttribute("value"));
		};
		op1.setAttribute('width', '10');
		op1.setAttribute('height', '10');
		ultimacell.appendChild(op1);
	}
	if (document.getElementById("usuario").value == "professor") {
		
		var op2 = document.createElement('img');
		op2.style.backgroundColor = '#edf8c7';
		op2.setAttribute('src', 'images/sub.GIF');
		op2.onclick = function() {
			editaAtividade(elementoE.getAttribute("value"));
		};
		op2.setAttribute('width', '10');
		op2.setAttribute('height', '10');
		ultimacell.appendChild(op2);

	}
}
function editaAtividade(valor) {

	var nomeAtividade = document.createElement("input");
	nomeAtividade.setAttribute('type', 'hidden');
	nomeAtividade.setAttribute("id", "nomeAtividade");
	nomeAtividade.setAttribute("value", valor);
	document.appendChild(nomeAtividade);

	if (document.getElementById('main').style.display == 'block'
			|| document.getElementById('cadastroProfessor').style.display == 'block'
			|| document.getElementById('buscaAtividades').style.display == 'block') {

		document.getElementById('main').style.display = 'none';
		document.getElementById('cadastroProfessor').style.display = 'none';
		document.getElementById('buscaAtividades').style.display = 'none';
		document.getElementById('editarAtividade').style.display = 'block';
	} else {

		document.getElementById('editarAtividade').style.display = 'block';
	}

	var url = "buscaAtividade?nomeAtividade=" + valor;

	var ajax = openAjax();
	ajax.open("GET", url, true);

	ajax.onreadystatechange = function() {
		if (ajax.status == 200) {
			exibeEdicaoAtividade(ajax, valor);
		}

	}

	ajax.send(null);
}

function exibeEdicaoAtividade(ajax, valor) {

	var jasonData = ajax.responseText;

	// document.getElementById('editor').innerHTML = "";
	document.getElementById('editor').value += jasonData;
	document.getElementById("nomeAtividade").value = valor;
}

function atualizarAtividade() {

	var nomeAtividade = document.getElementById("nomeAtividade").value;

	var recurso = document.getElementById("editor").value;
	var url = "cadastroAtividade?operacao=" + "atualizarAtividade"
			+ "&nomeAtividade=" + nomeAtividade + "&recurso=" + recurso;

	var ajax = openAjax();
	ajax.open("GET", url, true);

	ajax.onreadystatechange = function() {
		if (ajax.status == 200) {

			exibeEdicaoAtividade(ajax);
		}

	}

	document.getElementById('main').style.display = 'block';
	document.getElementById('editarAtividade').style.display = 'none';
	ajax.send(null);

}

function gerarRelatorioAtRealizadas(){
	
	var nome = document.getElementById("nomeAluno").value;
	var identidade = document.getElementById("identidadeAluno").value;
	var url = "relatorio?nomeAluno="+nome+"&identidadeAluno="+identidade;
	
	var ajax = openAjax();
	ajax.open("GET", url, true);
	
	ajax.onreadystatechange = function() {
		if (ajax.status == 200) {
             open(url);
		}

	}

	
	ajax.send(null);

	
}
function exibeRelatorio(ajax) {

	var obj =  ajax.responseText;
	alert(obj)
	
}